Bug 1460759 - Review Request: python-daiquiri - Library to configure Python logging easily
Review Request: python-daiquiri - Library to configure Python logging easily
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alfredo Moralejo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-PIKE
  Show dependency treegraph
 
Reported: 2017-06-12 12:00 EDT by Haïkel Guémar
Modified: 2017-08-03 16:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 16:11:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amoralej: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Haïkel Guémar 2017-06-12 12:00:58 EDT
Spec URL: https://hguemar.fedorapeople.org/reviews/python-daiquiri.spec
SRPM URL: https://hguemar.fedorapeople.org/reviews/python-daiquiri-0.1.0-1.fc26.src.rpm
Description: Library to configure Python logging easily 
Fedora Account System Username: hguemar
Comment 1 Pradeep Kilambi 2017-07-24 13:24:12 EDT
can we make this a priority. This is blocking us from using stable/4.0 gnocchi for pike.

https://logs.rdoproject.org/45/7345/3/check/rdoinfo-DLRN-check/Z08be42071f3a47eda2b50ce23e590434/centos/repos/91/4e/914e9434b694e2dc5978d18b7172359352eda619_dev/rpmbuild.log
Comment 2 Alfredo Moralejo 2017-07-25 04:00:28 EDT
Latest version is 1.2.1, could we update the spec to build it?
Comment 3 Alfredo Moralejo 2017-07-25 04:10:03 EDT
python-json-logger package review has been approved in https://bugzilla.redhat.com/show_bug.cgi?id=1460757
Comment 4 Pradeep Kilambi 2017-07-26 14:18:35 EDT
Thanks Alfredo, i will rebase this to 1.2.1.
Comment 6 Alfredo Moralejo 2017-07-31 06:04:05 EDT
official package review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache", "Unknown or generated", "*No
     copyright* Apache (v2.0)". 15 files have unknown license. Detailed
     output of licensecheck in /tmp/1460759-python-
     daiquiri/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/lib/python3.6
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-daiquiri , python3-daiquiri , python-daiquiri-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-daiquiri-1.2.1-1.fc26.noarch.rpm
          python3-daiquiri-1.2.1-1.fc26.noarch.rpm
          python-daiquiri-doc-1.2.1-1.fc26.noarch.rpm
          python-daiquiri-1.2.1-1.fc26.src.rpm
python2-daiquiri.noarch: W: spelling-error %description -l en_US formatters -> for matters, for-matters, formatted
python3-daiquiri.noarch: W: spelling-error %description -l en_US formatters -> for matters, for-matters, formatted
python-daiquiri-doc.noarch: W: summary-not-capitalized C daiquiri documentation
python-daiquiri.src: W: spelling-error %description -l en_US formatters -> for matters, for-matters, formatted
python-daiquiri.src:91: W: macro-in-comment %check
python-daiquiri.src:93: W: macro-in-comment %{__python3}
python-daiquiri.src:94: W: macro-in-comment %endif
python-daiquiri.src:95: W: macro-in-comment %{__python2}
4 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-daiquiri.noarch: W: spelling-error %description -l en_US formatters -> for matters, for-matters, formatted
python-daiquiri-doc.noarch: W: summary-not-capitalized C daiquiri documentation
python2-daiquiri.noarch: W: spelling-error %description -l en_US formatters -> for matters, for-matters, formatted
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
python3-daiquiri (rpmlib, GLIBC filtered):
    python(abi)

python-daiquiri-doc (rpmlib, GLIBC filtered):

python2-daiquiri (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-daiquiri:
    python3-daiquiri
    python3.6dist(daiquiri)
    python3dist(daiquiri)

python-daiquiri-doc:
    python-daiquiri-doc

python2-daiquiri:
    python-daiquiri
    python2-daiquiri
    python2.7dist(daiquiri)
    python2dist(daiquiri)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/d/daiquiri/daiquiri-1.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 5c19d631c5bbbfbf2cb176455b3ce680510d3a850ba23c146d4502964fd61a2a
  CHECKSUM(SHA256) upstream package : 5c19d631c5bbbfbf2cb176455b3ce680510d3a850ba23c146d4502964fd61a2a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1460759 -m fedora-26-x86_64
Buildroot used: fedora-26-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Some comments:

- unit tests are not being executed in %check section because of missing optional dependency python-json-logger. this package is being added to fedora in https://bugzilla.redhat.com/show_bug.cgi?id=1460757. Once the package exist in fedora, please update the package to add unit tests.

Package is APPROVED
Comment 7 Gwyn Ciesla 2017-08-02 11:03:36 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-daiquiri

Note You need to log in before you can comment on or make changes to this bug.